: Generate random user data
API: randomuser.me:randomuser
Endpoint: /
Response format: text/plain
Auth: unknown
Method: GET
Last Status:
200
Latency: 216ms
Description
Returns one or more random user profiles with customizable fields, nationality, and formatting options.
Parameters (12)
callback
(string, query, optional)
JSONP callback function name
dl
(boolean, query, optional)
Trigger file download
exc
(string, query, optional)
Fields to exclude (comma-separated)
format
(string, query, optional, default: json)
Response format
Constraints: {'enum': ['json', 'pretty', 'csv', 'yaml', 'xml']}
gender
(string, query, optional)
Filter by gender
Constraints: {'enum': ['male', 'female']}
inc
(string, query, optional)
Fields to include (comma-separated). Options: gender, name, location, email, login, dob, registered, phone, cell, id, picture, nat
nat
(string, query, optional)
Nationalities to include (comma-separated). Supported: AU, BR, CA, CH, DE, DK, ES, FI, FR, GB, IE, IN, IR, MX, NL, NO, NZ, RS, TR, UA, US
noinfo
(boolean, query, optional)
Exclude the info object from response
page
(integer, query, optional, default: 1)
Page number for pagination (used with seed)
Constraints: {'minimum': 1}
password
(string, query, optional)
Password generation options. Format: 'charset,length' or 'charset,range'. Charsets: special, upper, lower, number. Example: 'upper,lower,1-16' or 'special,32'
results
(integer, query, optional, default: 1)
Number of user results to return (max 5000)
Constraints: {'minimum': 1, 'maximum': 5000}
seed
(string, query, optional)
Seed string for deterministic/reproducible results
Examples (2)
Generate random user data
openapi-spec
curl 'https://randomuser.me/api/'
import requests
resp = requests.get("https://randomuser.me/api/")
data = resp.json()
import zingu_apis
api = zingu_apis.api("randomuser")
result = api.fetch("")
for item in result:
print(item)
const resp = await fetch("https://randomuser.me/api/");
const data = await resp.json();
Generate random user data
probe-gate
curl 'https://randomuser.me/api/?results=1&page=1&format=json'
import requests
resp = requests.get(
"https://randomuser.me/api/",
params={
'results': '1',
'page': '1',
'format': 'json',
},
)
data = resp.json()
import zingu_apis
api = zingu_apis.api("randomuser")
result = api.fetch("", results=1, page=1, format="json")
for item in result:
print(item)
const resp = await fetch("https://randomuser.me/api/?results=1&page=1&format=json");
const data = await resp.json();
Probe History
| Time | Status | Latency | Size |
| 2026-04-16 02:56:16.426881 |
200
|
216ms |
|
| 2026-04-16 00:17:02.327490 |
200
|
214ms |
|
| 2026-04-15 02:45:23.930325 |
200
|
254ms |
|
| 2026-04-15 00:29:34.391069 |
200
|
236ms |
|
| 2026-04-14 02:18:28.916597 |
200
|
220ms |
|
| 2026-04-14 02:12:29.529569 |
200
|
467ms |
|
| 2026-04-12 15:03:10.042758 |
200
|
211ms |
|
| 2026-04-12 13:17:06.399509 |
200
|
230ms |
|
| 2026-04-10 02:41:46.403167 |
200
|
175ms |
|
| 2026-04-10 00:30:57.533289 |
200
|
172ms |
|
| 2026-04-09 02:17:44.397358 |
200
|
499ms |
|
| 2026-04-09 02:13:16.122013 |
200
|
225ms |
|
| 2026-03-28T05:54:43.853591 |
200
|
190ms |
|